Subject: Re: bug#58159: [PATCH] Add support for the Wancho script

From: समीर सिंह Sameer Singh<[email-masked]>
Date: Sat, 1 Oct 2022 10:23:43 +0530

>
> Do we really want to complicate Emacs to support the Wancho script?

I don't get how adding support for the Wancho script is complicating Emacs,
this
was a relatively straightforward simple patch, even composition rules were
not needed
here. Wancho is included in Unicode therefore Emacs support is added.

Wancho is normally written using the Latin alphabet or Devanagari.
> Some schools are starting to teach writing Wancho using that alphabet
> instead of the well-known alphabet.  I suppose there is a campaign
> for Wancho speakers to switch to it.
>

Have you considered that Wancho being a Sino-Tibetan language, Devanagari
and Latin script
may be inadequate to serve it?

Is that really a good idea?  I suspect it comes from a sort of
> boosterism/ethnic nationalism, as if having your own script were a
> mark of importance.
>

It is though, having a separate script also provides a unique identity to
the language.
For example take the Bhojpuri language it used to have its own script:
Kaithi, but later switched to
Devanagari, this I feel is one of the major reasons it is still not
recognised as a language by the government
but is instead treated as a dialect of Hindi. Many people regard it as a
"less polished" version of Hindi.
Urdu despite being virtually same with Hindi enjoys the status of a
separate language.
(Of course this also has many different reasons, but a having a different
script is also one of them)

Having a different script has aesthetic reasons as well for example how
could latin replicate the beauty
of devanagari conjuncts!
Also look at the abomination that is the Vietnamese script.

But I think it is counterproductive to introduce
> more incompatibility of scripts.
>

Emacs should atleast support all of the unicode scripts, I don't know how
moving towards that goal is
"increasing incompatibility of scripts"

Do we really want to spend time on Emacs supporting scripts
> which were created recently and have little user base?
>

I do not ask anyone else to spend their time adding scripts to Emacs, since
this is my wish I do it myself,
and the Emacs maintainers graciously accept it  and include it into Emacs
providing corrections and guidance along the way.

English does not have an alphabet of its own; it uses an alphabet
> borrowed from Latin.  Maybe English needs more prestige to compete
> with Chinese and Hindi.  Should we invent a new English alphabet?
>

I propse an Abugida 😉
Maybe this time they could work on the orthography 🤞

On Sat, Oct 1, 2022 at 7:28 AM Richard Stallman <[email-masked]> wrote:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
> Do we really want to complicate Emacs to support the Wancho script?
> According to Wikipedia, the Wancho script was invented 10 years ago;
> Wancho is normally written using the Latin alphabet or Devanagari.
> Some schools are starting to teach writing Wancho using that alphabet
> instead of the well-known alphabet.  I suppose there is a campaign
> for Wancho speakers to switch to it.
>
> Is that really a good idea?  I suspect it comes from a sort of
> boosterism/ethnic nationalism, as if having your own script were a
> mark of importance.  But I think it is counterproductive to introduce
> more incompatibility of scripts.
>
> Do we really want to spend time on Emacs supporting scripts
> which were created recently and have little user base?
>
> English does not have an alphabet of its own; it uses an alphabet
> borrowed from Latin.  Maybe English needs more prestige to compete
> with Chinese and Hindi.  Should we invent a new English alphabet?
>
> --
> Dr Richard Stallman (https://stallman.org)
> Chief GNUisance of the GNU Project (https://gnu.org)
> Founder, Free Software Foundation (https://fsf.org)
> Internet Hall-of-Famer (https://internethalloffame.org)
>
>
>